#!/usr/bin/gnuplot

#set encoding iso_8859_2

#set tit "oprava o asovou rovnici ({/Symbol \055}{/Helvetica-Oblique E}) a o zempisnou dlku pro Hradec Krlov"
set tit "oprava o casovou rovnici ({/Symbol \055}{/Helvetica-Oblique E}) a o zemepisnou delku pro Hradec Kralove"
set xl "datum / MM/DD"
#set yl "korekce asu, kterou musme pist k daji na slunench hodinch / min"
set yl "korekce casu, kterou musime pricist k udaji na slunecnich hodinach / min"

set xdata time
set timefmt "%m/%d"
set format x "%m/%d"
#set xtics "01/01", (10*86400), "12/31"
#set mxtics 2
#set yr [-18:18]
set yr [-22:14]
set ytics 5
set mytics 5

set grid
set xzeroaxis lt 1 lw 1

set style line 1 lt 1 lw 3

korekce_o_delku = -3.35	# min, korekce o delku pro Hradec Kralove

p "casova_rce.dat" u 1:($3+korekce_o_delku) not w l ls 1

#pause -1

set term postscript eps enh 14
set out "casova_rce_zem_delka.eps"

rep

set term postscript landscape enh 14
set out "casova_rce_zem_delka.ps"

set size
set grid xtics ytics mxtics mytics
#set ytics 1

rep

