#!/bin/awk -f

BEGIN{
  n=0;
  istat=0;
  pi=3.1415926535;
}
!/^#/{
  if (length($0) == 0) {
    n++;
    if (istat==0) {
      if (n>1) {
        print ";";
      }
      print "p" n "=";
      istat=1;
    }
  } else {
    printf "  ";
    if (istat==1) {
      istat=0;
    } else {
      printf "--";
    }
    r=(90-$2);
    phi=(90-$1)/180*pi;
    x=r*cos(phi);
    y=r*sin(phi);
    print "(" x "," y ")";
  }
}
END{
  print ";";
}

