#!/bin/sh

# shc.sh
# Spusteni SHC z prikazoveho radku.
# Miroslav Broz (miroslav.broz@email.cz), Jan 17th 2005

DIR=../../shc/shc

PATH=$DIR:$PATH
GDFONTPATH=$DIR
GNUPLOT_DRIVER_DIR=$DIR
export GDFONTPATH GNUPLOT_DRIVER_DIR

#shcnox < shc.in > shc.out
#gnuplot ./shc.plt ./shc_x11.plt

awk '/^#/ || (NF==0) || ($1>2.5) { print; }' < zapad_rysky.dat > zapad_rysky2.dat

asy nizbor_prave.asy
epstopdf nizbor_prave.eps

for F in datum_prumet.dat zapad_rysky2.dat nodus.dat ciselnik.dat ; do
  txt2pdf $F
done

ps2pdf -sPAPERSIZE=a4 shc.ps

exit

#gnuplot ./sh_epspng.plt ./sh_x11.plt
#gnuplot ./sh_BODY.plt
#gnuplot ./sh_2V1.plt
#gnuplot ./sh_2V1_BODY.plt
#patch sh_2V1_BODY.eps sh_2V1_BODY.eps.diff

sh.awk < sh.tmp > sh.eps
sh_A4.awk < sh_A4.tmp > sh_A4.ps
popisky.awk < popisky.dat > popisky.ps

rm -f sh.zip sh.tmp sh_A4.tmp
zip -q sh.zip \
	analema.dat analema_prumet.dat \
	azimut_prumet.dat azimut_rysky.dat \
	ciselnik.dat ciselnik.plt \
	datum.dat datum_prumet.dat \
	hodin.dat hodin_okraj.dat hodin_prumet.dat hodin_rysky.dat \
	horiz.dat horiz_rysky.dat \
	korekce.dat nodus.dat \
	temporal_prumet.dat temporal_rysky.dat \
	vychod_prumet.dat vychod_rysky.dat \
	vyska_prumet.dat \
	zapad_prumet.dat zapad_rysky.dat \
	popisky.dat popisky.plt popisky.ps \
	sh.in sh.out sh.png sh.ps sh.eps sh_A4.ps

