#!/bin/awk -f

BEGIN{

#  korekce_o_delku = -3.35;	# min
  korekce_o_delku = ARGV[1];
  ARGV[1] = "";

  j=split(korekce_o_delku,l,":");
  if (j==2) {
    
  }

  m[1]="I";
  m[2]="II";
  m[3]="III";
  m[4]="IV";
  m[5]="V";
  m[6]="VI";
  m[7]="VII";
  m[8]="VIII";
  m[9]="IX";
  m[10]="X";
  m[11]="XI";
  m[12]="XII";

  print "# datum / MM/DD & & korekce casu (-E + Delta lambda) / min:s & korekce / min"

  file = "casova_rce_zem_delka.txt";
  print "# Casova rovnice: datum & korekce casu (-E + Delta lambda)" >file;

  mp1 = "casova_rce_zem_delka_tab.mp";
  mp2 = "casova_rce_zem_delka_dat.mp";

  print "verbatimtex \\input mbmac etex;" >mp1;
  print "verbatimtex \\input mbmac etex;" >mp2;
}
!/^#/{
  n++;
}
!/^#/{
  t = $11;
  if (t > 180.) { t = t - 360.; }
  t = t/15.*60.;
  t = t + korekce_o_delku;
  ttmp = t + 0.5/60.;	# kvuli zaokrouhleni

  sig = plusminus(ttmp);
  ttmp = abs(ttmp);
  min = int(ttmp);
  sec = int((ttmp-min)*60.)

  mon = $3;
  day = $4;

  print mon "/" day "	" sig min ":" sec "	" t;

  print "s(" n ", " sprintf("%8.3f", t) ", btex " day ".\\," m[mon] ". etex, " day ", " mon ");" >mp2;
}
(day==1) || (day==10) || (day==20) || (day==30){

  if (length(day) < 2) { day = " " day; }
  if (length(sec) < 2) { sec = " " sec; }
  min = sig min;
  if (length(min) < 3) { min = " " min; }

  print pad(day ". " m[mon] ".", 10) min " min " sec " s" >>file;

  if (t>0) {
    ttmp = t + 0.5;
  } else {
    ttmp = t - 0.5;
  }
  sig = plusminus(ttmp);
  ttmp = abs(ttmp);
  min = int(ttmp);
  if (min==0) { sig = ""; }

#  print "s(" mon ", " day ", " sig min ", btex $\\c{" sig "}" min "$ etex); # " t " " ttmp " " min " " sig >mp1;	# dbg
  print "s(" mon ", " day ", " sig min ", btex $\\c{" sig "}" min "$ etex);" >mp1;
}

func abs(x) {
  if (x >= 0.) {
    return x;
  } else {
    return -x;
  }
}

func plusminus(x) {
  if (x >= 0.) {
    return "+";
  } else {
    return "-";
  }
}

func pad(s,n, t,i) {
  t = "";
  for (i = length(s); i <= n; i++) {
    t = t " ";
  }
  t = s t;
  return t;
}

